> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search records

> The search records endpoint provides a convenient way to fuzzy search for records across one or more objects.
The matching strategy employed in this endpoint follows the in-product strategy and will match names, domains, emails, phone numbers and social handles on people and companies, and labels on all other objects.
Please note, results returned from this endpoint are eventually consistent. For results which are guaranteed to be up to date, please use the record query endpoint instead.

This endpoint is in beta. We will aim to avoid breaking changes, but small updates may be made as we roll out to more users.

Required scopes: `record_permission:read`, `object_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api post /v2/objects/records/search
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/objects/records/search:
    post:
      tags:
        - Records
      summary: Search records
      description: >-
        The search records endpoint provides a convenient way to fuzzy search
        for records across one or more objects.

        The matching strategy employed in this endpoint follows the in-product
        strategy and will match names, domains, emails, phone numbers and social
        handles on people and companies, and labels on all other objects.

        Please note, results returned from this endpoint are eventually
        consistent. For results which are guaranteed to be up to date, please
        use the record query endpoint instead.


        This endpoint is in beta. We will aim to avoid breaking changes, but
        small updates may be made as we roll out to more users.


        Required scopes: `record_permission:read`, `object_configuration:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  maxLength: 256
                  description: >-
                    Query string to search for. An empty string returns a
                    default set of results.
                  example: alan mathis
                limit:
                  type: number
                  minimum: 1
                  maximum: 25
                  default: 25
                  description: The maximum number of results to return. Defaults to 25.
                  example: 25
                objects:
                  type: array
                  items:
                    type: string
                    description: The object slug or UUID that you would like to filter by.
                    example: people
                  minItems: 1
                  description: >-
                    Specifies which objects to filter results by. At least one
                    object must be specified. Accepts object slugs or IDs.
                  example:
                    - people
                    - deals
                    - 1b31b79a-ddf9-4d57-a320-884061b2bcff
                request_as:
                  anyOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - workspace
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - workspace-member
                        workspace_member_id:
                          type: string
                          format: uuid
                          example: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                      required:
                        - type
                        - workspace_member_id
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - workspace-member
                        email_address:
                          type: string
                          format: email
                          example: alice@attio.com
                      required:
                        - type
                        - email_address
                  description: >-
                    Specifies the context in which to perform the search. Use
                    'workspace' to return all search results or specify a
                    workspace member to limit results to what one specific
                    person in your workspace can see.
              required:
                - query
                - objects
                - request_as
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: object
                              properties:
                                workspace_id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    A UUID identifying the workspace this record
                                    belongs to.
                                  example: 14beef7a-99f7-4534-a87e-70b564330a4c
                                object_id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    A UUID identifying the object this record
                                    belongs to.
                                  example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                                record_id:
                                  type: string
                                  format: uuid
                                  description: A UUID identifying this record.
                                  example: bf071e1f-6035-429d-b874-d83ea64ea13b
                              required:
                                - workspace_id
                                - object_id
                                - record_id
                            record_text:
                              type: string
                              description: >-
                                A human-readable label for the record. Present
                                on records from all objects.
                              example: Alan Mathison Turing
                            record_image:
                              type:
                                - string
                                - 'null'
                              description: The image for the record.
                              example: >-
                                https://cdn.image-service.com/images/profiles/e67b8980-7dbb-46bf-95e3-266d7bceb096
                            object_slug:
                              type: string
                              description: The slug of the object this record belongs to.
                              example: applications
                          required:
                            - id
                            - record_text
                            - record_image
                            - object_slug
                        - type: object
                          properties:
                            id:
                              type: object
                              properties:
                                workspace_id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    A UUID identifying the workspace this record
                                    belongs to.
                                  example: 14beef7a-99f7-4534-a87e-70b564330a4c
                                object_id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    A UUID identifying the object this record
                                    belongs to.
                                  example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                                record_id:
                                  type: string
                                  format: uuid
                                  description: A UUID identifying this record.
                                  example: bf071e1f-6035-429d-b874-d83ea64ea13b
                              required:
                                - workspace_id
                                - object_id
                                - record_id
                            record_text:
                              type: string
                              description: >-
                                A human-readable label for the record. Present
                                on records from all objects.
                              example: Alan Mathison Turing
                            record_image:
                              type:
                                - string
                                - 'null'
                              description: The image for the record.
                              example: >-
                                https://cdn.image-service.com/images/profiles/e67b8980-7dbb-46bf-95e3-266d7bceb096
                            object_slug:
                              type: string
                              enum:
                                - people
                              description: The slug of the object this record belongs to.
                              example: people
                            email_addresses:
                              type: array
                              items:
                                type: string
                                example: alan@bletchley.gov.uk
                              description: The person's email addresses.
                            phone_numbers:
                              type: array
                              items:
                                type: string
                                example: '+15558675309'
                              description: The person's phone numbers.
                          required:
                            - id
                            - record_text
                            - record_image
                            - object_slug
                            - email_addresses
                            - phone_numbers
                        - type: object
                          properties:
                            id:
                              type: object
                              properties:
                                workspace_id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    A UUID identifying the workspace this record
                                    belongs to.
                                  example: 14beef7a-99f7-4534-a87e-70b564330a4c
                                object_id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    A UUID identifying the object this record
                                    belongs to.
                                  example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                                record_id:
                                  type: string
                                  format: uuid
                                  description: A UUID identifying this record.
                                  example: bf071e1f-6035-429d-b874-d83ea64ea13b
                              required:
                                - workspace_id
                                - object_id
                                - record_id
                            record_text:
                              type: string
                              description: >-
                                A human-readable label for the record. Present
                                on records from all objects.
                              example: Alan Mathison Turing
                            record_image:
                              type:
                                - string
                                - 'null'
                              description: The image for the record.
                              example: >-
                                https://cdn.image-service.com/images/profiles/e67b8980-7dbb-46bf-95e3-266d7bceb096
                            object_slug:
                              type: string
                              enum:
                                - companies
                              description: The slug of the object this record belongs to.
                              example: companies
                            domains:
                              type: array
                              items:
                                type: string
                                example: fundstack.com
                              description: The company's domains.
                          required:
                            - id
                            - record_text
                            - record_image
                            - object_slug
                            - domains
                required:
                  - data
                description: Success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 400
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - value_not_found
                  message:
                    type: string
                    example: Object with slug/ID "foobar" not found.
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Bad Request
      security:
        - oauth2:
            - record_permission:read
            - object_configuration:read
components:
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````